gnome-settings-daemon crashes at login

Bug #61381 reported by gosh on 2006-09-20
58
Affects Status Importance Assigned to Milestone
control-center (Ubuntu)
Medium
Ubuntu Desktop Bugs

Bug Description

When I login in gnome (ubunty edgy) it takes several minutes.
Then it shows a error on not loading gnome-settings-deamon.

"There was an error starting the GNOME Settings Daemon.

Some things, such as themes, sounds, or background settings may not work correctly.

The last error message was:

Did not receive a reply. Possible causes include: the remote application did not send a reply, the message bus security policy blocked the reply, the reply timeout expired, or the network connection was broken.

GNOME will still try to restart the Settings Daemon next time you log in."

Attached is the bug-report

gosh (jos-plompen) wrote :
description: updated
Sebastien Bacher (seb128) wrote :

Thanks for your bug. Could you get a backtrace with gnome-control-center-dbg installed?

Changed in daemon:
assignee: nobody → desktop-bugs
status: Unconfirmed → Needs Info
gosh (jos-plompen) wrote :

Is this what you are looking for?
Or how do I use gnome-control-center-dbg?

Sebastien Bacher (seb128) wrote :

No, what you attached before with the title "gnome-settings-daemon bug report", get the same while gnome-control-center-dbg is installed (it's used automatically)

gosh (jos-plompen) wrote :

Bug-buddy did not give me a report when I logged in this time.
However, festival crashed and there was no window manager this time...
I'll try again if I can find some usefull information.

gosh (jos-plompen) wrote :

I logged in with a new user.
Still it took an awful lot of time.
Then this message appeared:

here was an error starting the GNOME Settings Daemon.

Some things, such as themes, sounds, or background settings may not work correctly.

The last error message was:

Did not receive a reply. Possible causes include: the remote application did not send a reply, the message bus security policy blocked the reply, the reply timeout expired, or the network connection was broken.

GNOME will still try to restart the Settings Daemon next time you log in.

And with this user I do have a window manager and no other crashes.

Adolfo R. Brandes (arbrandes) wrote :

This is happening to me *every time* I try to login using XDMCP (from Cygwin), up to the latest updates on my Edgy box as of this moment. Edgy was dist-upgraded from Dapper 3 weeks ago. Before the upgrade, everything worked.

Just to be clear: I can login, but the symptoms after that are much like described in gosh's previous comment. I get a brown screen for a few seconds, then a brown screen with a white rectangle on the top-left corner for up to 2 minutes, and finally the following error message (where the white rectangle was):

"There was an error starting the GNOME Settings Daemon.

Some things, such as themes, sounds, or background settings may not work correctly.

The last error message was:

Activation of org.gnome.SettingsDaemon timed out

GNOME will still try to restart the Settings Daemon next time you log in."

After that, I get no menu bars, only the icons on the desktop (with the background image loaded).

Adolfo R. Brandes (arbrandes) wrote :

Maybe I'm stating the obvious, but this problem does not show when I start a KDE session.

scole (scol5803) wrote :

I was getting this previously too.

I had an idea that is had something to do with dbus.

markba (mark-baaijens) wrote :

In my case (Edgy RC1 Live-CD) there's no crash, only a message box. Everything seems to work normally.

Vincent Jestin (mazargman) wrote :

I have this bug too. The behaviour is like markba's one. So I don't know where I can find logs about the error reported in the message box. Can experienced users guide me to find more informations?

scole evoked dbus: I found the error message (Did not receive a reply...) in a dbus source code file (dbus-pending-call.c) when I googled for this bug.

Last thing: when the gnome session finally starts (after few minutes and showing the message box), I get a fully working desktop but the default edgy gtk theme has not been loaded. Then if I start the theme app, the default edgy theme is loaded (I mean, beautifull rounded buttons, menus highlights, ...)

Help me to help you! ;-)

Sebastien Bacher (seb128) wrote :

does running gnome-settings-daemon by hand after the startup works fine? does running gnome-session from a debug session displays anything useful on the command line?

Vincent Jestin (mazargman) wrote :

>does running gnome-settings-daemon by hand after the startup works fine?

yes. Following lines are written in the console:
Rrdb: "*Label.background" on line 243 overrides entry on line 170
xrdb: "*Text.background" on line 249 overrides entry on line 211
xrdb: "*Label.foreground" on line 255 overrides entry on line 171
xrdb: "*Text.foreground" on line 261 overrides entry on line 212
]

>does running gnome-session from a debug session displays anything useful on the command line?

First, I get following line in the console:
SESSION_MANAGER=local/pointerouge:/tmp/.ICE-unix/4816

Then the top-left gray square appears. Nothing new in the console.

Finally, few minutes later, the desktop appears and I get these lines in the console:
------------------------------------
(nautilus:4974): libgnomevfs-WARNING **: Failed to open session DBUS connection: Unable to determine the address of the message bus (try 'man dbus-launch' and 'man dbus-daemon' for help)
Volume monitoring will not work.
Gnome-Message: gnome_execute_async_with_env_fds: returning -1
libnotify-Message: Unable to get session bus: Unable to determine the address of the message bus (try 'man dbus-launch' and 'man dbus-daemon' for help)

(gnome-panel:4972): libgnomevfs-WARNING **: Failed to open session DBUS connection: Unable to determine the address of the message bus (try 'man dbus-launch' and 'man dbus-daemon' for help)
Volume monitoring will not work.
alarm-notify.c:366 (alarm_notify_new) - Alarm Notify New
 alarm-notify.c:302 (alarm_channel_setup) - Channel Setup
 alarm-notify.c:241 (alarm_notify_init) - Initing Alarm Notify
alarm-queue.c:1871 (alarm_queue_init)
alarm-queue.c:218 (queue_midnight_refresh) - Refresh at Wed Nov 1 01:00:00 2006

evolution-alarm-notify-Message: Setting timeout for 9412 1162339200 1162329788
evolution-alarm-notify-Message: Wed Nov 1 01:00:00 2006

evolution-alarm-notify-Message: Tue Oct 31 22:23:08 2006

libnotify-Message: Unable to get session bus: Unable to determine the address of the message bus (try 'man dbus-launch' and 'man dbus-daemon' for help)

(gnome-panel:4972): Gtk-WARNING **: gtk_widget_size_allocate(): attempt to allocate widget with width -5 and height 24
------------------------------------

After this step, I started gnome-settings-daemon, but it failed a bug-buddy opened a new report (see attachment).

Vincent Jestin (mazargman) wrote :

Sorry, I forgot the errors lines written by the last "gnome-settings-daemon" command:

(gnome-settings-daemon:5108): GSwitchIt-WARNING **: Unable to connect to dbus: Unable to determine the address of the message bus (try 'man dbus-launch' and 'man dbus-daemon' for help)

** (gnome-settings-daemon:5108): CRITICAL **: dbus_g_connection_register_g_object: assertion `connection != NULL' failed

** (gnome-settings-daemon:5108): CRITICAL **: dbus_g_proxy_new_for_name: assertion `connection != NULL' failed

** (gnome-settings-daemon:5108): CRITICAL **: dbus_g_proxy_call: assertion `DBUS_IS_G_PROXY (proxy)' failed

Vincent Jestin (mazargman) wrote :

I found a workaround, learned from my windows experience: I reinstalled edgy and it works :-/

I know that's not a scientific way to resolve this bug, and I would have liked to know what happened on the first install. I just used the same procedure for both!

The only thing I can add: this is not a systematic error...

François Tissandier (baloo) wrote :

I confirm this bug, on a fresh install of Edgy. Same symptoms, can't find any solution.

gosh (jos-plompen) wrote :

I was able to get this bug again on an other machine.
On my laptop I have a fresh install of Xubuntu.
I installed Ubuntu with sudo aptitude install ubuntu-desktop.
During the install several dependency problems arouse.
I continued with the installation, logged out of Xubuntu and tried to login to Gnome.
Then the same error appeared: long wait, blue screen, grey box on the top left corner, etc.

eagle63 (brekkal) wrote :

I can confirm this bug too - I've just done a fresh install of Edgy from CD (tried it twice) and I get it every time. However, here's the twist for me:

I ONLY get it when I connect to my box through VNC. (I'm using TightVNC - not sure if that matters) If I simply login at the console, there's no problems. But through VNC, I get it every time. Also, I don't get the slowdown that others are reporting. When I connect through VNC and it starts the session, it starts up rapidly - but the most obvious problem (aside from the error message) is that the UI is no longer the nice Ubuntu "human" theme, it's the ugly default gnome theme. It's also apparent that certain UI settings are not working. If I try to change the theme, I get the "gnome settings daemon" error message again and it doesn't allow me to change it.

Since I primarily use this machine as a headless workstation, not having the correct UI theme and settings is really a bummer. If there's any other info I can provide please let me know.

kaptengu (kaptengu) wrote :

I have the same problem. It takes 5 minutes to login. During login I see a white box in the top left corner, after awhile it displays the error message:

"There was an error starting the GNOME Settings Daemon.

Some things, such as themes, sounds, or background settings may not work correctly.

The last error message was:

Did not receive a reply. Possible causes include: the remote application did not send a reply, the message bus security policy blocked the reply, the reply timeout expired, or the network connection was broken.

GNOME will still try to restart the Settings Daemon next time you log in."

When I manually start gnome-settings-daemon I get:

Rrdb: "*Label.background" on line 243 overrides entry on line 170
xrdb: "*Text.background" on line 249 overrides entry on line 211
xrdb: "*Label.foreground" on line 255 overrides entry on line 171
xrdb: "*Text.foreground" on line 261 overrides entry on line 212

The problem started after updating to Edgy. I am on a IBM X41.

I would like to assist with more information if someone could guide me.

RichardN (richardn) wrote :

Confirmed - I have this problem too.

kaptengu (kaptengu) wrote :

I found out it has something to do with wpa_supplicant. When I am outside my home WiFi-network, Gnome starts normally. I tried to change my SSID in /etc/wpa_supplicant.conf to "blablabla", and then it also worked fine.

kaptengu (kaptengu) wrote :

Maybe I should add that my AP:s SSID is something else. I correct the SSID after starting gnome. This makes the startup-time faster for me. Maybe I should just change to WEP.

Yerakon (roberto-yerakon) wrote :

Network? SSID? ok! I think that is not a bug...

Have You destroyed (manomitted) /etc/network/interfaces? :-)

I have replaced my /etc/network/interfaces and the "bug" it is resolved!

Sorry for my poor english... Regards.

kaptengu (kaptengu) wrote :

I don't understand.
What did you do to your /etc/network/interfaces?
Can you paste it here?

Peter Dinges (me-elwedgo) wrote :

Inspired by kaptengu and Yerakon's comments, I started with a clean /etc/hosts file (as there was an error message that the local host could not be resolved). I also made sure that the loopback network interface is loaded, as it was omitted in /etc/networking/interfaces. That did the trick for me; gnome comes up instantly.

/etc/hosts:
127.0.0.1 localhost hostname
127.0.1.1 hostname

fe00::0 ip6-localnet
ff00::0 ip6-mcastprefix
ff02::1 ip6-allnodes
ff02::2 ip6-allrouters
ff02::3 ip6-allhosts

/etc/network/interfaces:
iface lo inet loopback
auto lo

auto eth0
iface eth0 inet dhcp

Use 'ifconfig' to get a list of configured network devices. To set up the loopback device after booting, run 'sudo ifconfig lo 127.0.0.1 up'.

Markus Jonskog (omljud) wrote :

I also have this problem. I reported it as bug #70046, which is a duplicate I guess.
Anyway here's a backtrace from bug-buddy.

Markus Jonskog (omljud) wrote :

Playing with /etc/hosts and /etc/network/interfaces didn't help me.

kaptengu (kaptengu) wrote :

Thank you Peter! Now everything runs normally on my computer. For some reason the line "auto lo" was missing in my /etc/network/interfaces.

Markus Jonskog (omljud) wrote :

gnome-settings-daemon starts if I set permissions on /etc/libnss-ldap.conf to 644. It was, and should be, 600 becuase it contains credentials. The lookups is done through nscd. But nscd randomly quits, see bug #57214 and remote bug http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=344563 .

This also breaks gnome-screensaver(can't unlock) and kate(file protocol dies => can't open files) and probably other things as well.

kaptengu (kaptengu) wrote :

Markus, I don't think your bug is a duplicate of this.

gosh (jos-plompen) wrote :

Yes, that's it!

auto lo was missing from my /etc/network/interfaces

No it works fine.

Thnx, Peter

Elias K Gardner (zorkerz) wrote :

Again, thank you Peter. I removed a line (::1 ip6-localhost ip6-loopback) from my /etc/hosts file. Everything seems a ok now!

Greg Newton (gregster) wrote :

I started a (lonely) thread at ubuntuforums:
http://ubuntuforums.org/showthread.php?t=290822
that details my problem.
One apparently unusual feature of my problem is that I see no errors anywhere and am unable to post a backtrace.
I've had this happen on 5 successive rebuilds over the last few weeks, one with Dapper (all on the same machine).
I've started to watch carefully and the last time I installed I got the behaviour after bringing the OS up-to-date and installing nvidia drivers and java - nothing else.
It *always* happens after a shutdown as opposed to a restart.
I've just installed a CLI version of Edgy and manually installed X, nvidia drivers, and other bare-essentials, but I'd like to have a *full* install.

This thread seems to be all over the place in terms of symptoms. Is there anyone with a sense of how or if they are tied together?

Is there something I could post (or do) that would be of help?

Jaime Alemany (jaime-lunatico) wrote :

Hi all,

I had one of the problems mentioned here (slow remote login via XDMCP with X/Cygwin, white rectangle in the upper left of the screen, the warning message

"There was an error starting the GNOME Settings Daemon.
Some things, such as themes, sounds, or background settings may not work correctly.
The last error message was:
Activation of org.gnome.SettingsDaemon timed out
GNOME will still try to restart the Settings Daemon next time you log in."

then no menus...).

After trying several ideas from here and there, I finally solved it, after removing all IPv6 references from my local (ubuntu) hosts file *and* disabling completely the windows firewall (unblocking XCygwin seems not enough).

Now it logins fast and everything works perfect.

Regards,

jaime

Adolfo R. Brandes (arbrandes) wrote :

I can confirm Jaime Alemany's solution to the problem. Disabling the Windows firewall and commenting all IPv6 hosts from /etc/hosts did the trick.

Sebastien Bacher (seb128) wrote :

Does doing one of those only fix the problem? That's not likely to be a combinaison of IPV6 and firewall, probably only one of them. That bug starts to be confusing too, lot of comment from different people, I would not be surprised if the current comments are not the same problem than the crasher which is what that bug is about

Nope, Sebastien, I tried both of them separately and none is enough,
only the combination of the two things made it work.

I can post some more information but I found nothing not published here
before.

Cheers,

jaime

El vie, 08-12-2006 a las 10:16 +0000, Sebastien Bacher escribió:
> Does doing one of those only fix the problem? That's not likely to be a
> combinaison of IPV6 and firewall, probably only one of them. That bug
> starts to be confusing too, lot of comment from different people, I
> would not be surprised if the current comments are not the same problem
> than the crasher which is what that bug is about

François Tissandier (baloo) wrote :

I had the same problem, mainly when using Nxserver to connect to my computer remotely, and also from the second login on the computer without a reboot.

I had an error in my /etc/hosts file, I fixed it, but I was still having the problem. I discovered by accident that the problem was ESD. So if you go in the sound preferences and disable ESD, it may work again. I can't be sure at 100%, as it seems there are several reasons for this problem.

But that was very clearly the reason for me, now I can login quickly no matter what.

Hope it helps.

beetlebolt (beetlebolt) wrote :

This problem occurred for me because network-manager added a duplicate "auto eth0" to the bottom of my /etc/network/interfaces file. After I rebooted fine, I re-added the line and was able to get the error to return...although it still seems a little slow... Maybe that's something else.

frank (fhsmith) wrote :

I could not remotely log into X on Ubuntu with Cygwin until I shut down the Windows XP firewall. I have not changed /etc/hosts in any way.

Suse works fine with the firewall in its normal state so it is clearly a difference in the way Ubuntu sets up X that is causing the remote login problem. I suspect a port or protocol change is causing the problem.

To my mind Edgy Eft is not as stable as I would like, it looses my mouse occasionally and my network connection is a bit flaky (Gigabit network connections are still apparently a little unstable). Suse on the other hand has been as stable as a rock.

Thanks for the help, I would never have tried the firewall without it!

mariusbd (marius-t-hart) wrote :

I have the same symptoms when using Xming to set up an XDMCP connection to my Ubuntu laptop on a local network. If I start up a VMWare Player with a LiveCD version of Ubuntu I can start a new login, press F10 and then log in to the laptop. Logging in to a Fedora station is no problem with Xming as well.

mariusbd (marius-t-hart) wrote :

More info: I've updated the Fedora box to FC 6 and now it gives me the well-known error message about the GNOME Settings Daemon failing to start. The desktop environment does come up about a minute later however.

James Dupin (james.dupin) wrote :

This problem seems to be tied indeed to some value problems in /etc/hosts and /etc/network/interfaces.
I removed ::1 ip6-localhost ip6-loopback from /etc/hosts and added the lo loopback reference in /etc/network/interfaces.

I will test things separately to point out which one does what.

frank (fhsmith) wrote :

As I have already said I fixed the problem simply by turning off the Windows
XP firewall, so I think it must be some sort of port issue. Suse works fine
with the fire wall ON!

----- Original Message -----
From: "James Dupin" <email address hidden>
To: <email address hidden>
Sent: Wednesday, January 17, 2007 12:23 PM
Subject: [Bug 61381] Re: gnome-settings-daemon crashes at login

This problem seems to be tied indeed to some value problems in /etc/hosts
and /etc/network/interfaces.
I removed ::1 ip6-localhost ip6-loopback from /etc/hosts and added the lo
loopback reference in /etc/network/interfaces.

I will test things separately to point out which one does what.

--
gnome-settings-daemon crashes at login
https://launchpad.net/bugs/61381

--
No virus found in this incoming message.
Checked by AVG Free Edition.
Version: 7.5.432 / Virus Database: 268.16.13/634 - Release Date: 17/01/2007
16:45

Sebastien Bacher (seb128) wrote :

that bug has many comment and is very confusing now, could anybody describe some steps to trigger the problem?

tjk (tim-klassen) wrote :

This error message just started for me yesterday, and as far as I'm aware I only did two things:
 1) I tried installing enlightenment -- but because it didn't work properly I "completely" uninstalled it using Synaptic Package Manager.
2) in the same session I changed the theme of Gnome

After rebooting the computer I received this error, I have not yet tried the solutions posted above.
(BTW, I get numerous bug reports when I log on to Gnome -- so this might be a compounded problem)

tjk (tim-klassen) wrote :

This is too weird! As per my prior message I followed up by adjusting:
  /etc/hosts and /etc/network/interfaces and removing ::1 ip6-localhost ip6-loopback -- actually I didn't adjust the later file since the lo loopback reference was already there.
The result when I restarted the session was no different -- still the usual error(s). I then decided to change my theme back to the original "Human". I restarted the session and since then there has been no problems (however something is wrong with my themes as the window cannot read all the existing themes and seems to stall...)
Just out of interest I added the ::1 ip6-localhost ip6-loopback line again and GNOME still has no problems starting.

Erwin (e-crepieux-) wrote :

Quote François2.... I discovered by accident that the problem was ESD. So if you go in the sound preferences and disable ESD, it may work again....

This did it for me, instantly the login was oké.
Thanks!!!

sleuth (sleuth) wrote :

After spending all day fighting nomachines windows client, freenx server, nomachines nxserver, on opensuse 10.2 with gnome. I found that turning off ESD in the gnome control center sound screen solved the error described above. I had tried commenting the hosts file for IP6 and it didn't work. Additionally I found that when logged in locally with a gnome session, when the error was encountered on the remote machine, a gnome control center window popped up.

sog (sogrady) wrote :

summary:
similar problem here. cannot start GNOME or Beryl sessions on the machines, splash screen hangs on Metacity.

Failsafe GNOME will boot, but kicks the above warning:

first error:
"Unable to determine the address of the message bus (try 'man dbus-launch' and 'man dbus-daemon' for help)"

if i try to launch Sound preferences, i get a second error:

second error:
"Unable to start the settings manager 'gnome-settings-daemon'.
Without the GNOME settings manager running, some preferences may not take effect. This could indicate a problem with Bonobo, or a non-GNOME (e.g. KDE) settings manager may already be active and conflicting with the GNOME settings manager."

if i then try to run gnome-settings-daemon in the console, i get a third error:

third error:
(gnome-settings-daemon:6669): GSwitchIt-WARNING **: Unable to connect to dbus: Unable to determine the address of the message bus (try 'man dbus-launch' and 'man dbus-daemon' for help)
** (gnome-settings-daemon:6669): CRITICAL **: dbus_g_connection_register_g_object: assertion `connection != NULL' failed
** (gnome-settings-daemon:6669): CRITICAL **: dbus_g_proxy_new_for_name: assertion `connection != NULL' failed
** (gnome-settings-daemon:6669): CRITICAL **: dbus_g_proxy_call: assertion `DBUS_IS_G_PROXY (proxy)' failed
** (bug-buddy:6675): WARNING **: Couldn't load icon for Open Folder

solutions tried so far:
1. apt-get --reinstall install dbus beryl metacity (no effect)
2. commenting out IPv6 lines in host file (no effect)
3. disabling ESD in sound settings (no effect)
4. checked /etc/network/interfaces (nothing there that shouldn't be)

platform:
edgy, with beryl installed and running successfully for several days (until this error)

versions:
dbus - 0.93-0ubuntu3
metacity - 2.16.3-0ubuntu
beryl - 0.1.9999.2~0be

caused by:
unclear. have been running, as mentioned, beryl but to date had virtually no problems - and none seemingly related to this. error occured after a fresh reboot with no new packages installed (AFAIK).

looks to me like everything traces back to dbus, but i'm no expert. any help appreciated. i'm functional in GNOME Failsafe, but not loving it.

Jaime Alemany (jaime-lunatico) wrote :

Magically, turning off ESD has also worked for me... after changing my
windows client machine, I was back at the problem even with no firewall.

Quite an elusive bug!

Thanks,

jaime

El mar, 20-02-2007 a las 08:21 +0000, sleuth escribió:
> After spending all day fighting nomachines windows client, freenx
> server, nomachines nxserver, on opensuse 10.2 with gnome. I found that
> turning off ESD in the gnome control center sound screen solved the
> error described above. I had tried commenting the hosts file for IP6 and
> it didn't work. Additionally I found that when logged in locally with a
> gnome session, when the error was encountered on the remote machine, a
> gnome control center window popped up.
>
--
Jaime Alemany
Lunático Astronomía S. L.
www.lunatico.es
TFN: +34 91 859 5567
FAX: +34 91 790 3589

Aliarse (aliarse) wrote :

Had the same problem just now after chmod ing my home dir, would take 5min or so to log in, before giving me the error above.

Going into preferences>sound>sounds and disabling ESD solved it.

Sebastien Bacher (seb128) wrote :

Could anybody describe how to configure things to trigger that bug?

luismesas (luismesas) wrote :

It seems like to be something related with desktop themes.

I had same problem. But if I create a new desktop account and login, no errors are shown.

I switch to the error account and changed theme to ubuntu default theme. Now all works perfectly.

I was working around sounds too.

dmcrew (davidpauljones) wrote :

With regard to the windows firewall having to be disabled, i have found that if you add port exceptions for the following ports under the windows firewall exceptions tab it will also work just as well as disabling the firewall... The ports you need to open are: UDP 177, TCP 6000, TCP 16001
I was having the same stated problem until modifying the /etc/hosts file aswell as forwarding these ports under the firewall, now all is working well.

Jaime Alemany (jaime-lunatico) wrote :

Hi Sebastian,

I had the problem after a fresh install of Ubuntu 6.10 - Edgy Eft. I
also installed Cygwin/X on a windows machine, and, connecting via XDMCP
"XWin -fullscreen -query 192.168...", after successfully viewing the
login screen, keyed user and pass, and then, the long wait, the white
zone on the upper left of the screen...

BTW, I tried on a second windows machine, and in this case the windows
firewall trick did not do it, but disabling the ESD did!

Good luck,

jaime

El sáb, 24-02-2007 a las 14:06 +0000, Sebastien Bacher escribió:
> Could anybody describe how to configure things to trigger that bug?
>

Emmanuel Proust (eproust) wrote :

Hi all,

Disabling the ESD in Sound Preferences fixes NXSERVER logon problem (white or grey square and long wait) for me too.

I also noticed that the ESD must be disabled in all user profiles you use to connect using NXSERVER.

Cheers and thanks for your help.

Emmanuel

kaptengu (kaptengu) wrote :

I am not sure we are talking about the same bug in this thread anymore. The problems described at the top of the thread all were solved by editing /etc/hosts I think.

Emmanuel Proust (eproust) wrote :

My problem was gnome-settings-daemon crashes at NXSERVER login, it is very
similar/linked to generic gnome-settings-daemon crashes at login.

Seems that several replies have been provided, read carefully all the
thread.

The hosts removal of ipv6 lines solution does not work for me and several
other people, the ESD one works very well !

Cheers

2007/3/1, kaptengu <email address hidden>:
>
> I am not sure we are talking about the same bug in this thread anymore.
> The problems described at the top of the thread all were solved by
> editing /etc/hosts I think.
>
> --
> gnome-settings-daemon crashes at login
> https://launchpad.net/bugs/61381
>

kuscsik (kuscsik) wrote :

In my case it seems to be a network settings problem.

in my /etc/network/interfaces the lo device is configured as:

            auto lo

after system startup the lo device is not alive. Starting gnome gives the well known white box in the left bottom corner.
After

      sudo ifconfig lo up

in the base terminal gnome starting up without any problem.

kuscsik (kuscsik) wrote :

One word to my previous comment ^^. My edgy was updated from dapper.

eagle63 (brekkal) wrote :

Here's a surefire way to reproduce this bug every time:

1. Install Edgy.
2. Install TightVNCServer
3. Start a VNC server session and connect to your Edgy box from another machine using a VNC client. (I've been using realVNC's client)

You'll see the error upon connecting with VNC. The UI will also have that weird generic Gnome'ish look. (generic icons/widgets)

I've got 3 Edgy boxes - 2 at home and 1 at work - and they ALL have this exact problem. (they were fresh installs, not upgrades) If I don't connect to them via VNC, then everything is fine. It's only when I use them as headless workstations and connect via VNC that the issue arises. I know that this might differ from how others are seeing the bug, but for me this one has been as consistant as the sun rising.

John Fettig (jfettig) wrote :

I can confirm the problem being reported for VNC. The solution is this:

In your ~/.vnc/xstartup file put the following:

#!/bin/sh

vncconfig -iconic &
eval `dbus-launch --sh-syntax --exit-with-session`
gnome-session &

Then chmod 744 xstartup, and your problem should be fixed. Again, this only applies to the VNC issue.

Same story here - g-s-d cannot start.

** (gnome-settings-daemon:7517): WARNING **: Unable to connect to dbus: Failed to connect to socket /tmp/dbus-5kcxZTRe53: Connection refused

I am running feisty (on ppc).

In my case the problem was related to the ldap nss authentication. dbus-daemon is running as messagebus user while libnss-ldap.conf is not readable by anyone except root (600) - so dbus-daemon could not authenticate. Changing permissions to 644 fixed the connection problem.

Sebastien Bacher (seb128) wrote :

Sergey, that looks like a different problem, could you open a new bug?

ok I will

David Karger (karger) wrote :

Running the 6.10 release as a live CD I encountered exactly the same problem/error message as is described in the initial posting to this thread. I

* switched to a tty with ctl-alt-f1,
* ran sudo vi /etc/hosts,
* commented out the ::1 line in the ipv6 section,
* ran sudo gnome-session-manager (got "Gtk-Warning ** cannot open display:")
* switched back to the graphical terminal with alt-f7 and
* restarted X with ctl-alt-backspace.

This time the session came up without the gnome-session-manager error message. However, it is still running incredibly slowly (10 minutes and it still hasn't finished putting together the desktop). I'm not connected to a network; wonder if that could be having an effect.

Bob Cortez (rjcortez) wrote :

I'm getting the same error message at the same time as described. Stops at a tan background with bars at top and bottom with no icons on the desktop. This is a clean install from an ISO on CD downloaded and burned today for network install. My Internet connection is through a LAN cable modem. So whatever the problem is, it's persistent it seems.

I'm real green, so I may need a bit of hand holding to give any additional information that would be helpful to track down this problem. However, I'm a quick study and this isn't a mission critical box I'm working on.

Anton (feenstra) wrote :

I believe I have a similar problem to what is described here (though not all symptoms appear identical).
When loggin in on my Gnome session, the only thing I get is a black screen and a (functional) mouse cursor. 'ps' in a terminal shows that only x-window-manager, ssh-agend, dbus-lauch & -daemon and gconfd-2 have started. Nothing else appears to be happening.
If I log in on the Failsafe Gnome session, I get a functional desktop with all the usual bells and whistles (except my 'Controls' theme isn't loaded). But the GNOME Settings daemon gives the 'Unable to determine the address of the message bus (try 'man dbus-launch'...' error. Similar errors appear when opening (some/many?) of the preferences dialogs.

Hope this report will help the 'Needs Info' status... ;-)

Anton (feenstra) wrote :

I've tested a few of the above suggestions, i.e. disabling ESP, changing Theme, and loggin in from a different account. That doesn't work. I'll try a new account as well.

Anton (feenstra) wrote :

More details ;-)

From the Themes browser -> Details, i've found that only the windows border themes (i.e., metacity) is responsive. Controls and icons are stuck on the 'gnome default'.

P.S., I forgot to mention my attachment of the g-c-d crash: http://librarian.launchpad.net/6897581/gnome-settings-daemon-bugreport.txt

Bob Cortez (rjcortez) wrote :

I tried installing on a different box to eliminate possible hardware causes. Same result even in safe mode.

Bob Cortez (rjcortez) wrote :

I should note that the second box was running Debian Sarge successfully on the same network before I wiped it clean with killdisk and attempting to install Ubuntu.

Bob Cortez (rjcortez) wrote :

I was able to install with no problem with the alternative iso found at

http://ubuntu-releases.cs.umn.edu/edgy/ubuntu-6.10-alternate-i386.iso

kingcobra (brendanfromireland) wrote :

I am using ubuntu edgy
gnome freezes after login every bootup for ages.
I get a brown screen for a few seconds, then a brown screen with a white rectangle on the top-left corner for up to 2 minutes, and finally the following error message (where the white rectangle was):

There was an error starting the GNOME Settings Daemon.

Some things, such as themes, sounds, or background settings may not work correctly.

The last error message was:

Did not receive a reply. Possible causes include: the remote application did not send a reply, the message bus security policy blocked the reply, the reply timeout expired, or the network connection was broken.

GNOME will still try to restart the Settings Daemon next time you log in.

this is just like Adolfo R. Brandes.

Then it loads a basic gui instead of normal

how do you fix that

Bob Cortez (rjcortez) wrote :

If you are using the Live CD kingcobra, try downloading and burning to
CD the alternate install .iso at
http://ubuntu-releases.cs.umn.edu/edgy/ubuntu-6.10-alternate-i386.iso

I was having exactly the problem you are describing, when I used the
alternate iso the installation went without a hitch.

Bob

kingcobra (brendanfromireland) wrote :

i actually installed from alternate cd bob
however i added interfaces and hosts lines like Peter Dinges said except not the ipv6 lines like other people said and it works ok now

Bob Cortez (rjcortez) wrote :

Glad you got it working. Now we know the problem isn't just with the
live CD which is what I thought from my experience.

nibbler (robin-telenet) wrote :

I got the same error. I'm new to ubuntu.

My steps:
I downloaded ubuntu 6.10-desktop-i386
Inserted cdrom clicked "start or install ubuntu"
then the Ubutu-load-screen came up, normal so far
but then there a lightbrown background with blue small stripes came up over my screen, after two minutes a dialog came up like many described here. The screen looks like an old tv with a bad perception.
Then after half an hour (my screen went black sometimes) this "file browser" thing came up. And whatever I click took like 2 minutes to get selected.

Still I don't know if ubuntu is installed on my harddisc, since I didn't have to select a partition on my harddisc and all those things. There's an "install" shortcut on my desktop, but nothing happens when I doubleclick it.

nibbler (robin-telenet) wrote :

me again. I just tried to install kubuntu, and it's more or less the same scenario. The dialog doesn't appear this time, but there are also stripes on the screen and it loads very very slow, and the mouse barely moves.

Derek Buranen (eburner) wrote :

Here's the real culprit.
 *ping localhost

This command wasn't working. Seems when I upgraded to Feisty and when I was setting a static IP, I commented EVERYTHING in /etc/network/interfaces. This is not good as the 'lo' or loopback device is needed. I uncommented auto lo and the iface line for lo, ran ;sudo ifup lo', and I was back with a fast Gnome and no gray screen in the corner.

Hope this helps some of you out there. Thanks to seb for the tip.

Daniel Holbach (dholbach) wrote :

Does anybody still have problems once 'lo' is working again?

Jaime Alemany (jaime-lunatico) wrote :

I *did* have problems, and my lo0 has been always working.

jaime

El lun, 16-04-2007 a las 15:10 +0000, Daniel Holbach escribió:
> Does anybody still have problems once 'lo' is working again?
>
--
Jaime Alemany
Lunático Astronomía S. L.
www.lunatico.es
TFN: +34 91 859 5567
FAX: +34 91 790 3589

Derek Buranen (eburner) wrote :

I have no problems now that 'lo' is working

Rupert (rupert-everweb) wrote :

FWIW, I had the same problem on Fedora Core 5 after an attempt to use a GUI tool to change my hostname failed.
My /etc/hosts file was screwed up and it took several minutes for a terminal to be displayed so I could fix it.

It's a real bug. The problem is probably in DBUS somewhere, but control-center is not defensive enough.
control-center-2.18.1

Breakpoint 1, gnome_settings_server_init (server=0x80d1600)
    at gnome-settings-dbus.c:221
221 if (!org_freedesktop_DBus_request_name
(gdb)
(gdb)
(gdb)
(gdb) l
216 driver_proxy = dbus_g_proxy_new_for_name (klass->connection,
217 DBUS_SERVICE_DBUS,
218 DBUS_PATH_DBUS,
219 DBUS_INTERFACE_DBUS);
220
221 if (!org_freedesktop_DBus_request_name
222 (driver_proxy, "org.gnome.SettingsDaemon", 0, &request_ret,
223 &error)) {
224 g_warning ("Unable to register service: %s",
225 error->message);
(gdb) f
#0 gnome_settings_server_init (server=0x80d1600) at gnome-settings-dbus.c:221
221 if (!org_freedesktop_DBus_request_name
(gdb) s
224 g_warning ("Unable to register service: %s",
(gdb) l
219 DBUS_INTERFACE_DBUS);
220
221 if (!org_freedesktop_DBus_request_name
222 (driver_proxy, "org.gnome.SettingsDaemon", 0, &request_ret,
223 &error)) {
224 g_warning ("Unable to register service: %s",
225 error->message);
226 g_error_free (error);
227 }
228
(gdb) print error
$1 = (GError *) 0x0
(gdb) s

Program received signal SIGSEGV, Segmentation fault.
0x0805cd8c in gnome_settings_server_init (server=0x80d1600)
    at gnome-settings-dbus.c:224
224 g_warning ("Unable to register service: %s",
(gdb)

--- gnome-settings-daemon/gnome-settings-dbus.c-orig 2007-05-01 15:49:23.000000000 -0400
+++ gnome-settings-daemon/gnome-settings-dbus.c 2007-05-01 15:47:44.000000000 -0400
@@ -221,9 +221,13 @@
        if (!org_freedesktop_DBus_request_name
            (driver_proxy, "org.gnome.SettingsDaemon", 0, &request_ret,
             &error)) {
- g_warning ("Unable to register service: %s",
- error->message);
- g_error_free (error);
+ if (error != NULL) {
+ g_warning ("Unable to register service: %s",
+ error->message);
+ g_error_free (error);
+ } else {
+ g_warning ("Unable to register service because of unknown DBUS error");
+ }
        }

        g_object_unref (driver_proxy);

Chad Miller (cmiller) wrote :

Ah, the session dbus daemon wasn't running. From a shell, `dbus_launch` went a long way toward fixing it.

basti_egger (sebastian-egger) wrote :

I had the same prooblem with the grey rectangle in the upper left corner :-(

followed the solution in post 82: https://launchpad.net/ubuntu/+source/control-center/+bug/61381/comments/82 and everything works again.

Greetz and THX,
S.

Possibly I have the same problem. I had freshly installed system. After freeNX installation I get the error. I used the packages from nomachines.com:

- NX Client for Linux
- NX Node for Linux
- NX Free Edition for Linux

I login via freeNX:

"""
Beim Starten des GNOME-Einstellungsdienstes ist ein Fehler aufgetreten.

Möglicherweise funktionieren einige Dinge, wie z.B. Themen, Klänge oder Hintergrundeinstellungen nicht korrekt.

Die letzte Fehlermeldung war:

Did not receive a reply. Possible causes include: the remote application did not send a reply, the message bus security policy blocked the reply, the reply timeout expired, or the network connection was broken.

Beim nächsten Anmelden wird GNOME weiterhin versuchen, den Einstellungsdienst neu zu starten.
"""

last syslog:
"""
May 2 19:46:10 server NXSERVER 2.1.0-22[6090]: Cannot read from stdin: NX client disconnected before the 'bye' message: exiting cleanly 'NXShell::handleExitRequests'
May 2 19:52:06 server NXSERVER 2.1.0-22[6102]: User 'jens' logged in from '192.168.6.8'. 'NXLogin::set'
May 2 19:52:06 server NXSERVER 2.1.0-22[6102]: Selected node host:localhost with port:22 'main::selectNode'
May 2 19:52:06 server NXSERVER 2.1.0-22[6102]: Current selected node: localhost is in status: running 'main::selectNode'
May 2 19:52:08 server NXSERVER 2.1.0-22[6102]: ERROR: nxssh process exited with '255' 'NXNodeExec::exec'
May 2 19:52:10 server NXSERVER 2.1.0-22[6102]: Session 'B13E799A95328C4FEB54E51DFACFA145' started by user 'jens'. 'NXShell::handler_session_start'
May 2 19:52:10 server NXSERVER 2.1.0-22[6102]: ERROR: run command: no child process with pid 6115 Logger::log nxserver 3606
May 2 19:52:11 server NXSERVER 2.1.0-22[6102]: User 'jens' from '192.168.6.8' logged out. 'NXLogin::reset'
May 2 19:52:11 server NXNODE 2.1.0-22[6122]: INFO: Using port '1001' on node 'server' for session 'unix-gnome'. 'main:nxnode:5590'
May 2 19:52:11 server NXNODE 2.1.0-22[6122]: INFO: Using host from available host list: '192.168.6.2'. 'main:nxnode:5591'
May 2 20:03:43 server NXNODE 2.1.0-22[6122]: INFO: Session 'unix-gnome' on port '1001' closed. 'main:nxnode:5819'
May 2 20:03:45 server NXSERVER 2.1.0-22[6138]: Session 'B13E799A95328C4FEB54E51DFACFA145' closed by user 'jens'. 'NXShell::Static'
"""

Ha! I found a solution in the ubuntuusers.de wiki:

in "/etc/hosts" append the line:
"""
127.0.0.1 localhost
"""
change to:
"""
127.0.0.1 localhost unix
"""

After restarting network, freeNX works fine ;)

Kevin (kevinbull) wrote :

Same problem here on up to date Feisty.
Uncommenting the following had no effect for me.

auto lo
iface lo inet loopback

However, unchecking 'Enable Software Sound Mixing (ESD)' on the Sounds tab of Sound Preferences seems to have solved the problem.
Gnome now starts quickly with no errors.

Kevin (kevinbull) wrote :

Follow up...
Turned off Software Sound Mixing seemed to work at first. (No longer hung for several minutes starting Gnome, no more error message)
Other strange things started happening though.. Clicking the shutdown button on the panel caused it to freeze. Had to kill gnome panel.

Eventually I kill -9'd NetworkManagerDispatcher. Haven't had any problems since. Even after a reboot.
Seems to be network related, as others have stated the problem went away while not near a wireless access point.

Sebastien Bacher (seb128) wrote :

I've opened http://bugzilla.gnome.org/show_bug.cgi?id=439208 about the error=0x0 bug

Sebastien Bacher (seb128) wrote :

the bug is fixed in gutsy now

Changed in control-center:
importance: Undecided → Medium
status: Needs Info → Fix Released

Some step by step guide:

1) Network issue:
Try to ping localhost:
# ping localhost

If you can't have a response, so check network issues as described above.

2) Sound issue
Go to sound preferences and uncheck ESD support, as described above.

Following these steps i was able to solve the problem.
Do you have more steps to add?

My system: ubuntu 7.04 (new install), nx package (client, server, etc).

Enjoy it...

BillyIdiot (gethoper) wrote :

holy thank you Peter,

Perfectly corrected my stupid laptop,,, :D

bichage (bichage) wrote :

Remove xserver-xgl, this did the trick for me.

To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Duplicates of this bug

Other bug subscribers

Related questions